%define name sdlmame
%define version 0.122
%define sversion %(sed -e "s/\\.//" <<<%{version})
%define distsuffix plf
%define release %mkrel 1

Summary: SDL MAME is an arcade emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://rbelmont.mameworld.info/%{name}%{sversion}.zip
Source1: %{name}-wrapper
#Source10: http://www.mame.net/roms/polyplay.zip
#Source11: http://www.mame.net/roms/robby.zip
#Source12: http://www.mame.net/roms/gridlee.zip
#Source13: http://www.mame.net/roms/gridlee-sample.zip
Source20: http://cheat.retrogames.com/cheat117.7z
Group: Emulators
License: Freeware
URL: http://rbelmont.mameworld.info/
BuildRoot: %_tmppath/%{name}-build
BuildRequires: SDL1.2-devel
BuildRequires: expat-devel
BuildRequires: zlib-devel
BuildRequires: p7zip
ExclusiveArch: %ix86 x86_64 ppc

%description
SDL MAME is an arcade emulator using SDL, and based on the Multiple Arcade 
Machine Emulator (MAME).

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{name}%{sversion}
perl -pi -e "s|-Werror||g" makefile
7za x %{SOURCE20}

%build
#notes:
#optimizing for specific processor adds suffixes:
#example pentiumpro "pp" : I686=1
#compiling the debugger always adds (and only) suffix "d" : DEBUG=1
#DRC options are forced ion / off in the makefile depending on the arch :
#no need for X86_MIPS3_DRC= X86_PPC_DRC=
#SYMBOLS=1 for a -debug package
%make PREFIX="sdl" \
 OPTIMIZE=1 \
 BUILD_ZLIB= \
 BUILD_EXPAT= \
 OPT_FLAGS="%optflags" \
%ifarch x86_64 alpha ia64 ppc64
 PTR64=1
%endif
%ifarch ppc
 PPC=1
%endif
#ifarch %ix86
# I686=1
#endif

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 %{name}* %{buildroot}/%{_gamesbindir}/%{name}.real

#tools
#useful to manage roms
install -m 755 chdman %{buildroot}%{_gamesbindir}/chdman-sdlmame
install -m 755 romcmp %{buildroot}%{_gamesbindir}/romcmp-sdlmame
#useful to create a new keymap
install -m 755 testkeys %{buildroot}%{_gamesbindir}/testkeys-sdlmame
#other tools built:
#jedutils, makemeta, regrep, srcclean

#cheats
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 cheat.dat %{buildroot}/%{_gamesdatadir}/%{name}/

#ui font
install -m 644 ui.bdf %{buildroot}/%{_gamesdatadir}/%{name}/

#keymaps
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/keymaps
install -m 644 keymaps/* %{buildroot}/%{_gamesdatadir}/%{name}/keymaps/

#install wrapper
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/%{name}

%files
%defattr(-,root,root)
%doc SDLMAME.txt whatsnew.txt docs/*
%attr(0755,root,games) %{_gamesbindir}/%{name}*
%attr(0755,root,games) %{_gamesbindir}/*-%{name}
#{_mandir}/man1/%{name}.1*
%{_gamesdatadir}/%{name}

%clean
rm -rf %{buildroot}

%changelog
* Thu Dec 20 2007 Guillaume Bedot <littletux@zarb.org> 0.122-1plf2008.1
- 0.122

* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.121u1-1plf2008.1
- 0.121u1

* Wed Aug 15 2007 Guillaume Bedot <littletux@zarb.org> 0.118u1-1plf2008.0
- 0.118u1
- added testkeys binary and keymap support to the wrapper

* Fri Jul 13 2007 Guillaume Bedot <littletux@zarb.org> 0.117-1plf2008.0
- 0.117
- simple wrapper added
- fixed rights on cheat.dat
- added ui.bdf
- dropped cheat patch (no need with the wrapper)

* Tue May 15 2007 Guillaume Bedot <littletux@zarb.org> 0.115-1plf2008.0
- First PLF package

